Subject: Re: bug#26558: Opening URLs with xdg-open fails (eg. Gajim, Pumpa)

From: Mekeor Melire <[email-masked]>
Date: Wed, 19 Apr 2017 18:59:02 +0200

Ben Sturmfels <[email-masked]> writes:

> When I click an embedded URL within Gajim or Pumpa, I'm expecting a
> browser window to pop up, but nothing happens and I get an error on the
> command line:
>
>   /home/ben/.guix-profile/bin/xdg-open: line 341: gnome-open: command
>   not found
>
> The same error shows up if you attempt try the URL with xdg-open
> directly:
>
>   $ xdg-open https://www.gnu.org/software/guix/
>   /home/ben/.guix-profile/bin/xdg-open: line 341: gnome-open: command not
>   found
>
> As this message suggests, "gnome-open" is hard-coded into the "xdg-open"
> script on line 341.

I don't think so because this is what I get when running xdg-open:

    # this does not work:
    $ xdg-open http://gnu.org
    /home/mekeor/.guix-profile/bin/xdg-open: line 369: firefox: command not found
    /home/mekeor/.guix-profile/bin/xdg-open: line 369: mozilla: command not found
    /home/mekeor/.guix-profile/bin/xdg-open: line 369: netscape: command not found
    xdg-open: no method available for opening 'http://gnu.org'

    # this works just fine:
    $ BROWSER="icecat" xdg-open http://gnu.org

As you might have guessed, I do not use GNOME.

Did you try to set BROWSER environment variable?

-- 
mekeor ~ EDD3 DFFA 76F6 11C0 145F 9A99 AC85 BAD8 A2F8 C868